arc(3)

NAME
arc

SYNOPSIS
#include <allegro.h>

void arc(BITMAP *bmp, int x, y, fixed ang1, ang2, int r, int color);

DESCRIPTION
Draws a circular arc with centre x, y and radius r, in an anticlockwise direction starting from the angle a1 and ending when it reaches a2. These values are specified in 16.16 fixed point format, with 256 equal to a full circle, 64 a right angle, etc. Zero is to the right of the centre point, and larger values rotate anticlockwise from there.

SEE ALSO
circle(3), ellipse(3), drawing_mode(3)